phpBB url bbcode in MSIE Arbitrary Script Insertion

2005-12-30T08:18:18
ID OSVDB:22161
Type osvdb
Reporter phpBB Group()
Modified 2005-12-30T08:18:18

Description

Vulnerability Description

phpBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'bbcode' submitted to the 'url' variable upon submission to an unspecified script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Note that this vulnerability only affects Microsoft Internet Explorer (MSIE).

Solution Description

Upgrade to version 2.0.19 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

phpBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'bbcode' submitted to the 'url' variable upon submission to an unspecified script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Note that this vulnerability only affects Microsoft Internet Explorer (MSIE).

References:

Vendor Specific News/Changelog Entry: http://www.phpbb.com/phpBB/viewtopic.php?t=352966 Secunia Advisory ID:18252 Related OSVDB ID: 22162 Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2005-12/0326.html